> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ultravox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Call Throttle

> Creates a new call throttle



## OpenAPI

````yaml post /api/call_throttles
openapi: 3.0.3
info:
  title: Ultravox
  version: 0.1.0
  description: API for the Ultravox service.
servers:
  - url: https://api.ultravox.ai
security: []
paths:
  /api/call_throttles:
    post:
      tags:
        - call_throttles
      description: Creates a new call throttle.
      operationId: call_throttles_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CallThrottle'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallThrottle'
          description: ''
      security:
        - apiKeyAuth: []
components:
  schemas:
    CallThrottle:
      type: object
      properties:
        throttleId:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          maxLength: 64
        created:
          type: string
          format: date-time
          readOnly: true
        rules:
          type: array
          items:
            $ref: '#/components/schemas/CallThrottleRule'
      required:
        - created
        - name
        - rules
        - throttleId
    CallThrottleRule:
      type: object
      properties:
        maxCalls:
          type: integer
          maximum: 100
          minimum: 1
          description: Maximum number of calls allowed in the time window (max 100).
        windowSeconds:
          type: integer
          maximum: 86400
          minimum: 1
          description: Duration of the sliding time window in seconds (max 86,400).
      required:
        - maxCalls
        - windowSeconds
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key

````